summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2015-11-18 22:27:52 +0100
committerMichał Górny <mgorny@gentoo.org>2015-11-28 20:09:06 +0100
commit5b5467e4795a1a1d9cc2ed2e83802621caada549 (patch)
treebc1a2d419dc4a9f41249cf9781e66bc7060417c4 /eclass/python-r1.eclass
parentpython-r1.eclass: Ban python_parallel_foreach_impl in EAPI 6 (diff)
downloadgentoo-5b5467e4795a1a1d9cc2ed2e83802621caada549.tar.gz
gentoo-5b5467e4795a1a1d9cc2ed2e83802621caada549.tar.bz2
gentoo-5b5467e4795a1a1d9cc2ed2e83802621caada549.zip
python-r1.eclass: Ban python_export_best in EAPI 6
Diffstat (limited to 'eclass/python-r1.eclass')
-rw-r--r--eclass/python-r1.eclass2
1 files changed, 2 insertions, 0 deletions
diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index 1531442caff8..de83bb5d6ac9 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -603,6 +603,8 @@ python_setup() {
python_export_best() {
debug-print-function ${FUNCNAME} "${@}"
+ [[ ${EAPI} == [45] ]] || die "${FUNCNAME} is banned in EAPI ${EAPI}"
+
eqawarn "python_export_best() is deprecated. Please use python_setup instead,"
eqawarn "combined with python_export if necessary."